Skip to main content
POST /api/v1/positions/add_isolated_margin
The operation type for signing is "add_isolated_margin". Transfers USDC from free balance into the isolated margin pool for the specified position.

Request Body

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“signature”stringrequiredCryptographic signature5J3mBbAH…
“timestamp”integerrequiredCurrent timestamp in milliseconds1716200000000
”symbol”stringrequiredTrading pair symbolBTC
”amount”stringrequiredAmount of USDC to add as margin100.000000
”agent_wallet”stringoptionalAgent wallet address8zFqj1Kp…
“expiry_window”integeroptionalSignature expiry in milliseconds10000

Response

  • Status 200: Successfully added isolated margin
{
  "success": true
}
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

payload = {
    "account": "42trU9A5...",
    "signature": "5J3mBbAH...",
    "timestamp": 1716200000000,
    "symbol": "BTC",
    "amount": "100.000000",
}

response = requests.post(
    "/api/v1/positions/add_isolated_margin",
    json=payload,
    headers={"Accept": "*/*"},
)

data = response.json()